from backscattering_analyzer.package.metadata.base import Base


class Measurement(Base):
    def __init__(
        self,
        name: str,
        description: str,
        injection_power: float,
        dark_fringe_power: float,
        start_time: int,
        duration: int,
    ):
        self.name = name
        self.description = description
        self.injection_power = injection_power
        self.dark_fringe_power = dark_fringe_power
        self.start_time = start_time
        self.duration = duration
